### Constructor

# Json Parser new

#### Declaration [src]

    JsonParser*
    json_parser_new (
      void
    )

#### Description [src]

Creates a new JSON parser.

You can use the `JsonParser` to load a JSON stream from either a file or a buffer and then walk the hierarchy using the data types API.

#### Return value

Type: `JsonParser`

The newly created parser.

The caller of the function takes ownership of the data, and is responsible for freeing it.